```
/
/mkosi.skeleton/ oder mkosi.skeleton.tar
/mkosi.extra/ oder mkosi.extra.tar
/mkosi.nspawn
/mkosi.cache/
/mkosi.builddir/
/mkosi.rootpw
/mkosi.passphrase
/mkosi.crt
/mkosi.key
/mkosi.output/
/mkosi.credentials/
/mkosi.repart/
/mkosi.repart/*.conf
/mkosi.conf
/mkosi.presets/
```
---
```
mkosi-cli
```
```
summary
build
shell
boot
qemu
ssh
clean
serve
bump
genkey
documentation
- -force,-f
- -directory=,-C
- -debug=
- -debug-shell=
- -version
- -help,-h
- -genkey-common-name=
- -genkey-valid-days=
- -auto-bump=,-B
- -doc-format
```
```
mkosi.conf
```
```ini
[Match]
Distribution=
Release=
Architecture=
PathExists=
ImageId=
ImageVersion=
Bootable=
Format=
SystemdVersion=

[Config]
Include=

[Preset]
Preset=
Dependencies=

[Distribution]
Distribution=fedora|debian|ubuntu|arch|opensuse|mageia|centos|rhel-ubi|openmandriva|rocky|alma|custom
Release=
Architecture=alpha|arc|arm|arm64|ia64|loongarch64|mips64-le|mips-le|parisc|ppc|ppc64|ppc64-le|riscv32|riscv64|s390|s390x|tilegx|x86|x86-64
Mirror=
LocalMirror=
RepositoryKeyCheck=
Repositories=
CacheOnly=

[Output]
Format=directory|tar|cpio|disk|uki|none
ManifestFormat=json|changelog
Output=
CompressOutput=yes|no|xz|zstd
OutputDirectory=mkosi.output
WorkspaceDirectory=mkosi.workspace
CacheDirectory=mkosi.cache
BuildDirectory=mkosi.builddir
ImageVersion=
ImageId=
SplitArtifacts=
RepartDirectories=mkosi.repart
SectorSize=
Overlay=
UseSubvolumes=auto|yes|no
Seed=(uuid)|random
SourceDateEpoch=

[Content]
Packages=
BuildPackages=
WithDocs=
BaseTrees=
SkeletonTrees=mkosi.skeleton
PackageManagerTrees=
ExtraTrees=mkosi.extra|mkosi.extra.tar
RemovePackages=
RemoveFiles=
CleanPackageMetadata=yes|no|auto
PrepareScript=
BuildScript=
PostInstallationScript=
FinalizeScript=
BuildSources=
Environment=
WithTests=yes|no
WithNetwork=yes|no
Bootable=yes|no|auto
Bootloader=none|systemd-boot|uki|grub
BiosBootloader=none|grub
Initrds=
KernelCommandLine=
KernelModulesInclude=
KernelModulesExclude=
KernelModulesInitrd=yes|no
KernelModulesInitrdInclude=
KernelModulesInitrdExclude=
Locale=
LocaleMessages=
Keymap=
Timezone=
Hostname=
RootShell=
RootPassword=mkosi.rootpw (hashed:...)
Autologin=yes|no
MakeInitrd=
Ssh=

[Validation]
SecureBoot=
SecureBootKey=
SecureBootCertificate=
SecureBootSignTools=sbsign|pesign|auto
VerityKey=
VerityCertificate=
SignExpectedPCR=yes|no|auto
Passphrase=
Checksum=
Sign=
Key=

[Host]
Incremental=
NSpawnSettings=mkosi.nspawn
ExtraSearchPaths=
QemuGui=yes|no
QemuSmp=2
QemuMem=1G
QemuKvm=yes|no|auto
QemuVsock=yes|no|auto
QemuSwtpm=yes|no|auto
QemuCdrom=yes|no
QemuFirmware=uefi|bios|linux|auto
QemuKernel=
QemuArgs=
Ephemeral=
Credentials=key=value key2=value2
KernelCommandLineExtra=
Acl=yes|no
ToolsTree=mkosi.tools
ToolsTreeDistribution=
ToolsTreeRelease=
ToolsTreePackages=
RuntimeTrees=
RuntimeSize=
```
---
```
mkosi.nspawn
```
```ini
[Exec]
Boot=off|on
Ephemeral=
ProcessTwo=
Parameters=
Enviroment=
User=
WorkingDirectory=
PivotRoot=
*Capability=
*DropCapability=
*AmbientCapability=
NoNewPrivileges=
KillSignal=
Personality=
*MachineID=
*PrivateUsers=
NotifyReady=
SystemCallFilter=
LimitCPU=
LimitFSIZE=
LimitDATA=
LimitSTACK=
LimitCORE=
LimitRSS=
LimitNOFILE=
LimitAS=
LimitNPROC=
LimitMEMLOCK=
LimitLOCKS=
LimitSIGPENDING=
LimitMSGQUEUE=
LimitNICE=
LimitRTPRIO=
LimitRTTIME=
OOMScoreAdjust=
CpuAffinity=
Hostname=
ResolvConf=
Timezone=
Linkjournal=
SuppressSync=

[Files]
ReadOnly=
Volatile=
*Bind=
*BindReadOnly=
*BindUser=
*TemporaryFileSystem=
*Inaccessible=
*Overlay=
*OverlayReadOnly=
*PrivateUsersOwnership=

[Network]
Private=
*VirtualEthernet=
*VirtualEthernetExtra=
*Interface=
*MACVLAN=
*IPVLAN=
*Bridge=
*Zone=
*Port=

```